Search found 114 matches

Go to advanced search

by mfasano
Wed May 13, 2020 12:43 pm
Forum: Open discussion
Topic: Homogeneize general selection and picking all across Freecad.
Replies: 11
Views: 671

Re: Homogeneize general selection and picking all across Freecad.

Would making a start for this be a good GSoC project? It may be too ambitious. That would give us almost a year to come up with some consensus of what the interface should be.
by mfasano
Mon May 04, 2020 9:33 am
Forum: FEM
Topic: FreeCAD as pre-post processor for MBDyn
Replies: 209
Views: 23711

Re: FreeCAD as pre-post procesor for MBDyn

It is simple once you have an assembly4 model. There are few input fields you need to type. I only have code for revolute joints so it is very limited, but FreeCAD and MBDyn are comprehensive. I may try a 4-bar linkage as an example next. I should have instructions soon.
by mfasano
Sun May 03, 2020 1:50 pm
Forum: FEM
Topic: FreeCAD as pre-post processor for MBDyn
Replies: 209
Views: 23711

Re: FreeCAD as pre-post procesor for MBDyn

I added post processing to the ASM4 branch to my code. There would not be too many changes to add the post processing to the branch that does not use Assembly4, but I like Assembly4. I fixed the problem I had with orientation matraces of the joints by switching to 2 vector instead of Euler angles de...
by mfasano
Thu Apr 30, 2020 11:21 pm
Forum: Python scripting and macros
Topic: Qtimer test not working
Replies: 4
Views: 343

Re: Qtimer test not working

I would like to use the Qtimer for animation, but I can't get it to work even with this simple script. This does not work even if I just put a pass inside the while loop. I find it strange it works when in debug mode. The PrintMessages are just proof update function and the while loop are working. I...
by mfasano
Thu Apr 30, 2020 7:02 pm
Forum: Python scripting and macros
Topic: Qtimer test not working
Replies: 4
Views: 343

Qtimer test not working

I am trying to test Qtimer with this script. It works well in debug mode but it locks up just running it. import FreeCAD as App import FreeCADGui as Gui from PySide2 import QtCore class time(): def __init__(self): self.timer = QtCore.QTimer() self.timer.timeout.connect(self.update) self.count = 0 de...
by mfasano
Tue Apr 28, 2020 8:16 pm
Forum: Assembly
Topic: Assembly 4 workbench
Replies: 888
Views: 127782

Re: Assembly 4 workbench

what do you mean by " disable the expression engine " ? On all parts, or some of them ? It seems the I may not need it; the placement of the parts is updating on the view screen without recompute. It may not matter, but I would like to return it to the way it was at the end. recompute at the end re...
by mfasano
Tue Apr 28, 2020 3:54 pm
Forum: Assembly
Topic: Assembly 4 workbench
Replies: 888
Views: 127782

Re: Assembly 4 workbench

Hello; I am trying to do multibody dynamics of an assembly4 model with the MBDyn solver. Here is the discussion of it. https://forum.freecadweb.org/viewtopic.php?f=18&t=39165&start=100 I am at the point of animating the model. I need to disable or delete the expression engine and then returning it b...
by mfasano
Fri Apr 24, 2020 12:42 pm
Forum: Open discussion
Topic: Discussion: FreeCAD is not ready for 1.0
Replies: 296
Views: 18909

Re: Discussion: FreeCAD is not ready for 1.0

I have not come in to the discussion until now partly because I don't care that much. There is a old saying "all software is beta". Like others have said, including vocx, I would still use it no matter what it's called. For me, FreeCAD really became mature at release 0.17 Roland. Named after a man w...
by mfasano
Wed Apr 15, 2020 11:49 pm
Forum: FEM
Topic: FreeCAD as pre-post processor for MBDyn
Replies: 209
Views: 23711

Re: FreeCAD as pre-post procesor for MBDyn

I added a new branch for my MBDyn pre-processor. It is called asm4. It creates an MBDyn input file from a FreeCAD model created with assembly4. I thought it would make it easier to set up the MBDyn elements with it. I am not sure I am calculating the orientation matraces right. They work for my test...
by mfasano
Tue Apr 07, 2020 12:41 pm
Forum: Python scripting and macros
Topic: [Solved] searching for solid objects in a document
Replies: 5
Views: 339

Re: searching for solid objects in a document

obj.InList return a list, so the check if len(list) > 0, i'm assuming that only a "parent" object links to this object, if there are many (I don't know when it ossurs in freecad) you have to adapt your code accordingli, note that exist also a property named InListRecursive , but I haven't tested, I...

Go to advanced search